/// <reference types="react" />
type OverflowTypographyWrapperProps = {
    hasMultipleRows: boolean;
    rowsCount: number;
};
export declare const StyledTypography: import("../styled").StyledComponent<import("../Typography/types").TypographyPropsBase & {
    color?: import("../Typography").TypographyColor | undefined;
    variant?: import("../Typography").TypographyVariant | undefined;
    colorIntensity?: import("../Typography").Intensity | undefined;
    component?: import("../Typography/types").ComponentProp | undefined;
    isUpperCase?: boolean | undefined;
    withoutCalt?: boolean | undefined;
} & import("react").HTMLAttributes<HTMLParagraphElement> & import("react").RefAttributes<HTMLSpanElement> & {
    theme?: import("@emotion/react").Theme | undefined;
} & OverflowTypographyWrapperProps, {}, {}>;
export declare const Wrapper: import("../styled").StyledComponent<import("../Typography/types").TypographyPropsBase & {
    color?: import("../Typography").TypographyColor | undefined;
    variant?: import("../Typography").TypographyVariant | undefined;
    colorIntensity?: import("../Typography").Intensity | undefined;
    component?: import("../Typography/types").ComponentProp | undefined;
    isUpperCase?: boolean | undefined;
    withoutCalt?: boolean | undefined;
} & import("react").HTMLAttributes<HTMLParagraphElement> & import("react").RefAttributes<HTMLSpanElement> & {
    theme?: import("@emotion/react").Theme | undefined;
} & {
    $align: string;
}, {}, {}>;
export {};
